#
#   Probe - Astronomical data display
#

from pygame import draw
from albow.widget import Widget
from albow.resource import get_font, get_image
from text_writer import TextWriter

class AstroDataDisplay(Widget):

	#bg_image = get_image("ringbinder.jpg")
	font = get_font(10, "VeraMono.ttf")
	text_color = (0, 0, 0)
	left_margin = 30
	top_margin = 20
	name_columns = 10

	def __init__(self, rect, game):
		Widget.__init__(self, rect)
		self.game = game
	
	def draw(self, surf):
		clip = surf.get_rect()
		clip.inflate_ip(-self.left_margin, -self.top_margin)
		#bg_image = self.bg_image
		#if bg_image:
		#	surf.blit(self.bg_image, (0, 0))
		#else:
		#	draw.rect(surf, (0, 0, 0), clip)
		surf.set_clip(clip)
		system = self.game.current_system
		if system:
			obj = system.selection
			if obj:
				data = []
				obj.get_astronomical_data(data)
				writer = TextWriter(surf,
					font = self.font, color = self.text_color,
					x = self.left_margin, y = self.top_margin)
				w = self.name_columns
				for name, value in data:
					if name:
						writer.writeln("%-*s %s" % (w, name + ":", value))
					else:
						writer.newline()
		surf.set_clip(None)